import Cookies from 'js-cookie'

const TokenKey = 'hr_token' // 设定一个独一无二的key
const timeKey = 'hr_timestamp_key' // 设置一个存时间戳的key

export function getToken() {
  return Cookies.get(TokenKey)
}

export function setToken(token) {
  return Cookies.set(TokenKey, token)
}

export function removeToken() {
  return Cookies.remove(TokenKey)
}

// 设置时间戳的函数
export function setTimeStamp() {
  return Cookies.set(timeKey, Date.now())
}
// 获取时间戳
export function getTimeStamp() {
  return Cookies.get(timeKey)
}
// 删除时间戳
export function removeTimeStamp() {
  return Cookies.set(timeKey)
}
