export function listToTreeData(list, currentPid) {
  const res = []
  list.forEach(item => {
    if (item.pid === currentPid) {
      // 对于找出来的子节点, 都要再找它的下一级
      // 把当前的item.id 作为下一层的 pid
      const children = listToTreeData(list, item.id)
      // 什么时候停止, 找不到下一级的时候停止
      if (children.length > 0) {
        item.children = children
      }
      res.push(item)
    }
  })
  return res
}
